apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: {{ include "influxdb.serviceAccountName" . }}-update-secret
  namespace: {{ .Release.Namespace | quote }}
  labels:
    {{- include "influxdb.labels" . | nindent 4 }}
rules:
  - apiGroups: [""]
    resources: ["secrets"]
    resourceNames: ["{{ include "influxdb.fullname" . }}-user"]
    verbs: ["get", "patch"]

---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: {{ include "influxdb.serviceAccountName" . }}-update-secret
  namespace: {{ .Release.Namespace | quote }}
  labels:
    {{- include "influxdb.labels" . | nindent 4 }}
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: {{ include "influxdb.serviceAccountName" . }}-update-secret
subjects:
  - kind: ServiceAccount
    name: {{ include "influxdb.serviceAccountName" . }}
    namespace: {{ .Release.Namespace | quote }}
